using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class FmsAccidentCodeType {
        public FmsAccidentCodeType() {
            FmsAccident = new HashSet<FmsAccident>();
        }

        public int AccidentTypeId { get; set; }
        [Display(Name = "사고코드명"), Required]
        [StringLength(24)]
        public string Name { get; set; }
        [Display(Name = "사용여부"), Required]
        public bool? IsUse { get; set; }

        [InverseProperty("FmsAccidentCodeType")]
        public virtual ICollection<FmsAccident> FmsAccident { get; set; }
    }
}
